org.apache.cassandra.thrift

## Class Cassandra.describe_splits_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.describe_splits_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_splits_args>, org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.describe_splits_args
    extends java.lang.Object
    implements org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_splits_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Cassandra.describe_splits_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.lang.String` `cfName`
`java.lang.String` `end_token`
`int` `keys_per_split`
`static java.util.Map<Cassandra.describe_splits_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.lang.String` `start_token`

### Constructor Summary

Constructors
Constructor and Description
`describe_splits_args()`
`describe_splits_args(Cassandra.describe_splits_args other)` Performs a deep copy on other.
`describe_splits_args(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(Cassandra.describe_splits_args other)`
`Cassandra.describe_splits_args` `deepCopy()`
`boolean` `equals(Cassandra.describe_splits_args that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.describe_splits_args._Fields` `fieldForId(int fieldId)`
`java.lang.String` `getCfName()`
`java.lang.String` `getEnd_token()`
`java.lang.Object` `getFieldValue(Cassandra.describe_splits_args._Fields field)`
`int` `getKeys_per_split()`
`java.lang.String` `getStart_token()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.describe_splits_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCfName()` Returns true if field cfName is set (has been assigned a value) and false otherwise
`boolean` `isSetEnd_token()` Returns true if field end_token is set (has been assigned a value) and false otherwise
`boolean` `isSetKeys_per_split()` Returns true if field keys_per_split is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_token()` Returns true if field start_token is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.describe_splits_args` `setCfName(java.lang.String cfName)`
`void` `setCfNameIsSet(boolean value)`
`Cassandra.describe_splits_args` `setEnd_token(java.lang.String end_token)`
`void` `setEnd_tokenIsSet(boolean value)`
`void` `setFieldValue(Cassandra.describe_splits_args._Fields field, java.lang.Object value)`
`Cassandra.describe_splits_args` `setKeys_per_split(int keys_per_split)`
`void` `setKeys_per_splitIsSet(boolean value)`
`Cassandra.describe_splits_args` `setStart_token(java.lang.String start_token)`
`void` `setStart_tokenIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetCfName()`
`void` `unsetEnd_token()`
`void` `unsetKeys_per_split()`
`void` `unsetStart_token()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cfName

    public java.lang.String cfName

#### start_token

    public java.lang.String start_token

#### end_token

    public java.lang.String end_token

#### keys_per_split

    public int keys_per_split

#### metaDataMap

    public static final java.util.Map<Cassandra.describe_splits_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### describe_splits_args

    public describe_splits_args()

#### describe_splits_args

    public describe_splits_args(java.lang.String cfName,
                                java.lang.String start_token,
                                java.lang.String end_token,
                                int keys_per_split)

#### describe_splits_args

    public describe_splits_args(Cassandra.describe_splits_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public Cassandra.describe_splits_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### getCfName

    public java.lang.String getCfName()

#### setCfName

    public Cassandra.describe_splits_args setCfName(java.lang.String cfName)

#### unsetCfName

    public void unsetCfName()

#### isSetCfName

    public boolean isSetCfName()

Returns true if field cfName is set (has been assigned a value) and false otherwise

#### setCfNameIsSet

    public void setCfNameIsSet(boolean value)

#### getStart_token

    public java.lang.String getStart_token()

#### setStart_token

    public Cassandra.describe_splits_args setStart_token(java.lang.String start_token)

#### unsetStart_token

    public void unsetStart_token()

#### isSetStart_token

    public boolean isSetStart_token()

Returns true if field start_token is set (has been assigned a value) and false otherwise

#### setStart_tokenIsSet

    public void setStart_tokenIsSet(boolean value)

#### getEnd_token

    public java.lang.String getEnd_token()

#### setEnd_token

    public Cassandra.describe_splits_args setEnd_token(java.lang.String end_token)

#### unsetEnd_token

    public void unsetEnd_token()

#### isSetEnd_token

    public boolean isSetEnd_token()

Returns true if field end_token is set (has been assigned a value) and false otherwise

#### setEnd_tokenIsSet

    public void setEnd_tokenIsSet(boolean value)

#### getKeys_per_split

    public int getKeys_per_split()

#### setKeys_per_split

    public Cassandra.describe_splits_args setKeys_per_split(int keys_per_split)

#### unsetKeys_per_split

    public void unsetKeys_per_split()

#### isSetKeys_per_split

    public boolean isSetKeys_per_split()

Returns true if field keys_per_split is set (has been assigned a value) and false otherwise

#### setKeys_per_splitIsSet

    public void setKeys_per_splitIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(Cassandra.describe_splits_args._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.describe_splits_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### isSet

    public boolean isSet(Cassandra.describe_splits_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(Cassandra.describe_splits_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Cassandra.describe_splits_args other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Cassandra.describe_splits_args>`

#### fieldForId

    public Cassandra.describe_splits_args._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<Cassandra.describe_splits_args,Cassandra.describe_splits_args._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`